@echo off
:: # 
:: # Shell script to run the Bean Builder with jdk 1.4 (and beyond)
:: #
:: # Usage: run [-p palettefile] [-i] [filename.xml]
:: #
:: # -where [-i] is interpret mode. Execute filename.xml without starting the Builder.
:: # -where [filename.xml] load the archived xml file.
:: # -where [-p palettefile] use "palettefile" as the Bean Builder palette
:: # 
:: # Note: the -i and -p flags cannot be used simultaneously


if "%OS%" == "Windows_NT" setlocal
set USE_JAVA=c:\jdk1.4
if not "%JAVA_HOME%" == "" set USE_JAVA=%JAVA_HOME%

set CPATH=classes;lib;builder.jar;lib\jlfgr-1_0.jar;%USE_JAVA%\lib\dt.jar
echo ## Running Bean Builder using Java: %USE_JAVA%

:: ## Uncomment line below to set the Windows Look and Feel
:: set WIN_LAF=-Dswing.defaultlaf="com.sun.java.swing.plaf.windows.WindowsLookAndFeel"

:: ## Uncomment line below to set the root object to a JPanel.
:: set PANEL_ROOT=-Dbuilder.new.root=javax.swing.JPanel

%USE_JAVA%\bin\java -showversion %PANEL_ROOT% %WIN_LAF% -cp %CPATH% Main %1 %2 %3 %4 %5
