#! /usr/bin/sh
# Shell script to run the Bean Builder Application on 1.4 (and beyond)
#
# Usage: JAVA_HOME=/usr/local/java/jdk1.3/solaris run.sh [-p palettefile] [-i] [filename.xml]
#
# -where [-i] is interpret mode. Execute filename.xml without starting the Builder.
# -where [filename.xml] load the archived xml file.
# -where [-p palettefile] use "palettefile" as the Bean Builder palette
# 
# Note: the -i and -p flags cannot be used simultaneously

CPATH=builder.jar:${JAVA_HOME}/lib/dt.jar:lib/jlfgr-1_0.jar

${JAVA_HOME}/bin/java -cp ${CPATH} Main $1 $2 $3 $4 $5
